QGIS Application - Bug report #2191
Attribute table: edit text window size not matching column width
2009-12-03 08:05 AM - Donkagen2 -

Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: GUI

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12251
Description

If the attribute table column width is increased from the default, when editing a text field the visible editing text string doesn't match the
column width.

History

#1 - 2009-12-19 05:52 AM - Borys Jurgiel

| fixed a similar problem with the widget resize in commit:9ad21f7c (SVN r12035), but due to changes in it's broken again and | can't manage to set the
widget resizing policy. JUrgen heeeeelp...

It's, however, better than was, because previously columns were being shrinked to a default size of the widget.

#2 - 2009-12-20 05:58 AM - Borys Jurgiel

The problem is in line 88 of ggsattributetabledelegate.cpp:

editor->adjustSize();

It makes the widget always adjusting to its default size. I'd remove this line, however it's good for one widget class: the file selector, what is higher than the

row height. What about testing the editor class and adjusting only if it's the file selector?

#3 - 2009-12-20 10:20 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:e863e7d5 (SVN r12546)
